curl -X POST "https://backend.conversales.in/api/v1/sendVideoMessage" \
-H "X-API-Key: 3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI" \
-H "Content-Type: application/json" \
-d '{
"to": "1234567890",
"mediaUrl": "https://example.com/video.mp4",
"message": "Watch this video!"
"type":"video",
}'
const response = await fetch(
"https://backend.conversales.in/api/v1/sendVideoMessage",
{
method: "POST",
headers: {
"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI",
"Content-Type": "application/json",
},
body: JSON.stringify({
to: "1234567890",
mediaUrl: "https://example.com/video.mp4",
message: "Watch this video!",
type: "video",
}),
}
);
import requests
url = "https://backend.conversales.in/api/v1/sendVideoMessage"
headers = {"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI"}
payload = {
"to": "1234567890",
"mediaUrl": "https://example.com/video.mp4",
"message": "Watch this video!"
"type":"video"
}
response = requests.post(url, json=payload, headers=headers)
{
"statusCode": 200,
"message": "Video message sent successfully",
"data": {
"messageId": "wamid.HBgNMTIzNDU2Nzg5MA==",
"status": "sent",
"to": "1234567890"
}
}
Chat Operations
Send Video Message
Send a video message via WhatsApp
POST
/
api
/
v1
/
sendVideoMessage
curl -X POST "https://backend.conversales.in/api/v1/sendVideoMessage" \
-H "X-API-Key: 3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI" \
-H "Content-Type: application/json" \
-d '{
"to": "1234567890",
"mediaUrl": "https://example.com/video.mp4",
"message": "Watch this video!"
"type":"video",
}'
const response = await fetch(
"https://backend.conversales.in/api/v1/sendVideoMessage",
{
method: "POST",
headers: {
"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI",
"Content-Type": "application/json",
},
body: JSON.stringify({
to: "1234567890",
mediaUrl: "https://example.com/video.mp4",
message: "Watch this video!",
type: "video",
}),
}
);
import requests
url = "https://backend.conversales.in/api/v1/sendVideoMessage"
headers = {"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI"}
payload = {
"to": "1234567890",
"mediaUrl": "https://example.com/video.mp4",
"message": "Watch this video!"
"type":"video"
}
response = requests.post(url, json=payload, headers=headers)
{
"statusCode": 200,
"message": "Video message sent successfully",
"data": {
"messageId": "wamid.HBgNMTIzNDU2Nzg5MA==",
"status": "sent",
"to": "1234567890"
}
}
Authentication
string
required
Your API key for authentication
Request Body
string
required
Recipient phone number
string
required
Public URL of the video file
string
required
Message Type (e.g., video)
string
Video caption (optional)
string
Message ID to reply to (optional)
string
Custom reference ID (optional)
curl -X POST "https://backend.conversales.in/api/v1/sendVideoMessage" \
-H "X-API-Key: 3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI" \
-H "Content-Type: application/json" \
-d '{
"to": "1234567890",
"mediaUrl": "https://example.com/video.mp4",
"message": "Watch this video!"
"type":"video",
}'
const response = await fetch(
"https://backend.conversales.in/api/v1/sendVideoMessage",
{
method: "POST",
headers: {
"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI",
"Content-Type": "application/json",
},
body: JSON.stringify({
to: "1234567890",
mediaUrl: "https://example.com/video.mp4",
message: "Watch this video!",
type: "video",
}),
}
);
import requests
url = "https://backend.conversales.in/api/v1/sendVideoMessage"
headers = {"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI"}
payload = {
"to": "1234567890",
"mediaUrl": "https://example.com/video.mp4",
"message": "Watch this video!"
"type":"video"
}
response = requests.post(url, json=payload, headers=headers)
{
"statusCode": 200,
"message": "Video message sent successfully",
"data": {
"messageId": "wamid.HBgNMTIzNDU2Nzg5MA==",
"status": "sent",
"to": "1234567890"
}
}
Video must be publicly accessible. Supported formats: MP4, 3GP. Max size:
16MB.